_Eina_Value_Union Union Reference
Eina » Data Types » Containers » Generic Value Storage

All possible value types. More...

`#include <eina_value.h>`

## Data Fields

unsigned char | buf [8]
| just hold 8-bytes, more goes into ptr
void * | ptr
| used as generic pointer
uint64_t | _guarantee
| guarantees 8-byte alignment

## Detailed Description

All possible value types.

This is only used to specify the minimum payload memory for Eina_Value.